# List image URLs

Posts an array of Image Url objects that can be used to retrieve the specified cell images.

Endpoint: POST /imageurls
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Request fields (application/json):

  - `imageId` (string)
    Image ID.

  - `error` (object)
    The error caused by the failed item.

  - `error.refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `error.errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `error.message` (string)
    Descriptive error message.

  - `height` (number)
    Image height in pixels.

  - `url` (string)
    Temporary URL that can be used to retrieve the image. This attribute can be present in a response but is never specified in a request.

  - `width` (number)
    Image width in pixels.

## Response 200 fields (application/json):

  - `imageUrls` (array)

  - `imageUrls.imageId` (string)
    Image ID.

  - `imageUrls.error` (object)
    The error caused by the failed item.

  - `imageUrls.error.refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `imageUrls.error.errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `imageUrls.error.message` (string)
    Descriptive error message.

  - `imageUrls.height` (number)
    Image height in pixels.

  - `imageUrls.url` (string)
    Temporary URL that can be used to retrieve the image. This attribute can be present in a response but is never specified in a request.

  - `imageUrls.width` (number)
    Image width in pixels.

  - `urlExpiresInMillis` (number)
    Milliseconds before the URLs within imageUrls expire.


